package com.diagbot.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.time.LocalDateTime;
import java.io.Serializable;

/**
 * <p>
 * 量表计算公式组条件内容
 * </p>
 *
 * @author yuchengwei
 * @since 2025-03-17
 */
@Data
public class KlCalculatorFormulaGroupDetail implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private LocalDateTime gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private LocalDateTime gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 术语概念id
     */
    private Long conceptId;
    /**
     * 公式id
     */
    private Long formulaId;

    /**
     * 公式组id
     */
    private Long groupId;

    /**
     * 公式
     */
    private String formula;

    /**
     * 条件id
     */
    private Long conditionId;

    /**
     * 条件名称
     */
    private String conditionName;

    /**
     * 条件类型
     */
    private String conditionType;

    /**
     * 文本类型内容
     */
    private String textType;

    /**
     * 最大值符号
     */
    private String maxValueName;

    /**
     * 最大值
     */
    private BigDecimal maxValue;

    /**
     * 最大值单位
     */
    private String maxValueUnit;

    /**
     * 最小值符号
     */
    private String minValueName;

    /**
     * 最小值
     */
    private BigDecimal minValue;

    /**
     * 最小值单位
     */
    private String minValueUnit;

    /**
     * 大于等于
     */
    private BigDecimal greaterEqual;

    /**
     * 小于等于
     */
    private BigDecimal lessEqual;

    /**
     * 结果
     */
    private String result;

}
